<?php
include 'load.php';

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <meta name="description" content="POS - Eat More Resturant | Pos & Invetory System | Dashboard
">
    <meta name="keywords" content="Eat More Resturant | Pos & Invetory System | Dashboard
">
    <meta name="author" content="Eat More Resturant | Pos & Invetory System | Dashboard
">
    <meta name="robots" content="noindex, nofollow">

    <title>Home | Eat More Resturant | Pos & Invetory System | Dashboard
</title>


    <?php
require_once 'headercss.php';
?>
</head>

<body>
    <div id="global-loader">
        <div class="whirly-loader"> </div>
    </div>

    <div class="main-wrapper">
        <?php
require_once 'header.php';
?>

        <?php
require_once 'navbar.php';
?>

        <div class="page-wrapper">
            <div class="content">
                <div class="page-header">
                    <div class="page-title">
                        <h4>Customer List</h4>
                        <h6>Manage your Supplier</h6>
                    </div>
                    <div class="page-btn">
                        <a href="addcustomer.php" class="btn btn-added"><img src="assets/img/icons/plus.svg" alt="img">Add Customer</a>
                    </div>
                </div>

                <div class="card">
                    <div class="card-body">
                        <div class="table-top">
<div class="form-check">
  <input class="form-check-input" type="checkbox" value="" id="selectall">
  <label class="form-check-label" for="flexCheckDefault">
    Select All
  </label>
</div>
<div class="">
<button onclick="deleteSelectedRows()" class="btn btn-danger">Delete Selected Rows</button>
</div>
</div>

                        <div class="table-responsive">
							<table class="table" id="betable">
                                <thead>
                                    <tr>
										<th>#</th>
										<th>ID</th>
                                        <th>Action</th>
                                        <th>Status</th>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Phone</th>
                                        <th>Address</th>
										<th>Route</th>
                                        <th>Credit</th>
                                        <th>Credit Limit</th>
										<th>Commission</th>
                                        <th>Add Date</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
									
										$count=0;

										$stmt = $DB_con->prepare('SELECT * FROM mobilecustomers ORDER BY coid');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);
										
										$count++;

										?>
										<tr>
										<td><input type="checkbox" class="delete-checkbox"
                                                value="<?php echo $row['coid']; ?>">
										</td>
										<td><?php echo number_format($count,0); ?></td>
                                        <td>

                                            <a href="editcustomer.php?coid=<?php echo $row["coid"]; ?>"
                                                class="btn btn-block btn-outline-primary active btn-sm text-white"><i
                                                    class="fa fa-edit" data-bs-toggle="tooltip" title=""
                                                    data-bs-original-title="fa fa-edit" aria-label="fa fa-edit"></i></a>
                                            <a href="deletecustomer.php?coid=<?php echo $row["coid"]; ?>"
                                                class="btn btn-block btn-outline-danger active btn-sm text-white"><i
                                                    class="fa fa-trash" data-bs-toggle="tooltip" title=""
                                                    data-bs-original-title="fa fa-trash"
                                                    aria-label="fa fa-trash"></i></a>

                                        </td>
                                        <td><?php 
						
														if($row['status'] == "1"){

														echo '<a class="btn btn-success text-white">Active</a>';

													    }else if($row['status'] == "0"){

														echo '<a class="btn btn-danger text-white">Deactive</a>';

														}
						
												
										?></td>
                                        <td><?php echo $row['cname']; ?></td>
                                        <td><?php echo $row['cemail']; ?></td>
                                        <td><?php echo $row['cphone']; ?></td>
                                        <td><?php echo $row['caddress']; ?></td>
										<td><?php

												$id = $row['route'];  

												$query = $DB_con->prepare('SELECT routename FROM mobileroute WHERE rtid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['routename'];

												?></td>
                                        <td><?php echo $row['ccredit']; ?></td>
                                        <td><?php echo $row['credit_limit']; ?></td>
										<td><?php echo $row['comission']; ?></td>
                                        <td><?php echo $row['add_date']; ?></td>
                                    </tr>
                                    <?php 
} 
}

?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>

    <script>
    function deleteSelectedRows() {
        var checkboxes = document.querySelectorAll('.delete-checkbox:checked');

        var selectedIds = [];

        checkboxes.forEach(function(checkbox) {
            selectedIds.push(checkbox.value);
        });

        $.ajax({
            url: 'deletecustomer.php',
            type: 'POST',
            data: {
                selectedIds: selectedIds
            },
            success: function(response) {
                console.log('Rows deleted successfully');
                toastr.success('Rows deleted successfully');
                location.reload();
            },
            error: function(xhr, status, error) {
                console.error('Error deleting rows: ', error);
                toastr.error('Error deleting rows: ' + error);

            }

        });

    }
    </script>

    <?php require_once 'footerjs.php'; ?>
	
    <script>
	$(document).ready(function(){
		$('#selectall').click(function() {
			var id = $(this).attr('id');

			if($(this).is(':checked')){
				var check = 1;
				$('input[type="checkbox"]').prop('checked', true);
			}else{
				var check = 0;
				$('input[type="checkbox"]').prop('checked', false);
			}


			/*$.ajax({
					type: "POST",
					data: {check:check,id:id},
					url: "checkbox_select.php",
					success: function(data){
							
					}
				});*/

				

		});

	});

	function deleteSelectedRows() {
        var checkboxes = document.querySelectorAll('.delete-checkbox:checked');

        var selectedIds = [];

        checkboxes.forEach(function(checkbox) {
            selectedIds.push(checkbox.value);
        });

        $.ajax({
            url: 'delete_selected_items.php',
            type: 'POST',
            data: {selectedIds: selectedIds}, 
            success: function(response) {
                console.log('Rows deleted successfully');
                toastr.success('Rows deleted successfully');
               location.reload(); 
            },
            error: function(xhr, status, error) {
                console.error('Error deleting rows: ', error);
                toastr.error('Error deleting rows: ' + error);

            }
			
        });
		
    }

</script>

</body>
</html>